Bug 54183 - PROPFIND doesn't report getcontenttype property
Summary: PROPFIND doesn't report getcontenttype property
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_dav (show other bugs)
Version: 2.2.17
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2012-11-21 15:41 UTC by Steffen Bartsch
Modified: 2018-11-07 21:10 UTC (History)
0 users



Attachments
PROPFIND responses (with and without getcontenttype property) (4.22 KB, text/plain)
2012-11-21 15:41 UTC, Steffen Bartsch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steffen Bartsch 2012-11-21 15:41:53 UTC
Created attachment 29619 [details]
PROPFIND responses (with and without getcontenttype property)

In case of a path with character % (encoded as %25) the PROPFIND method doesn't contain the getcontenttype property in the response 
(e.g. PROPFIND /cloud/Fo%25to/FirstFoto.jpg HTTP/1.1[\r][\n])

See also attached curl samples.
Comment 1 Wim Lewis 2013-04-16 21:05:07 UTC
I just gave this a try with Apache 2.4.4 (plus the patches from bugs #53910, #54610, #54611 but I don't know that they would affect this) and couldn't reproduce the problem. Might the problem be fixed on the 2.4.x branch already? Have you tested with a 2.4.x or trunk version of apache?
Comment 2 William A. Rowe Jr. 2018-11-07 21:10:02 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.